NDC(8)

NAME
ndc - name daemon control program

SYNOPSIS
ndc [-c channel] [-l localsock] [-p pidfile] [-d] [-q] [-s] [-t] [command]

DESCRIPTION
This command allows the system administrator to control the operation of a name server. If no command is given, ndc will prompt for commands until it reads EOF.

Options are:

-c channel
    Specifies the rendezvous point for the control channel. The default is /var/run/ndc (a UNIX domain socket which is also the server's default control channel). If the desired control channel is a TCP/IP socket, then the format of the channel argument is ipaddr/port (for example, 127.0.0.1/54 would be TCP port 54 on the local host.)

-l localsock
    This option will bind(2) the client side of the control channel to a specific address. Servers can be configured to reject connections which do not come from specific addresses. The format is the same as for channel (see above).

-p pidfile
    For backward compatibility with older name servers, ndc is able to use UNIX signals for control communications. This capability is optional in modern name servers and will disappear altogether at some future time. Note that the available command set is narrower when the signal interface is used. A likely pidfile argument would be something like /var/run/named.pid.

-d  Turns on debugging output, which is of interest mainly to developers.

-q  Suppresses prompts and result text.

-s  Suppresses nonfatal error announcements.

-t  Turns on protocol and system tracing, useful in installation debugging.

COMMANDS
Several commands are built into ndc, but the full set of commands supported by the name server is dynamic and should be discovered using the help command (see below). Builtin commands are:

/help
    Provides help for builtin commands.

/exit
    Exit from ndc command interpreter.

/trace
    Toggle tracing (see --t description above).

/debug
    Toggle debugging (see -d description above).

/quiet
    Toggle quietude (see -q description above).

/silent
    Toggle silence (see -s description above).

NOTES
If running in pidfile mode, any arguments to start and restart commands are passed to the new named on its command line. If running in channel mode, there is no start command and the restart command just tells the name server to execvp(2) itself.

AUTHOR
Paul Vixie (Internet Software Consortium)

SEE ALSO
named(8),